> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/swe/api-dokumentation/geo-endpoints-for-atkomst-till-spatial-data.md).

# Geo-endpoints för åtkomst till spatial data

{% hint style="success" %}
GeoPard använder <https://www.ogc.org/> Open Geospatial Consortium-dataformat som WMS för bilder och WFS för vektordata. Vi arbetar också med shapefiler för import och export. Motorn är flexibel och kan importera och exportera i vilket som helst av dessa dataformat. För satellitbilder arbetar vi med [COG:ar (molnoptimerade GeoTIFF-filer)](https://www.cogeo.org/)
{% endhint %}

{% hint style="info" %}
Du måste installera Postman för att köra WMS/WFS-förfrågningar.
{% endhint %}

{% hint style="info" %}
Varje förfrågan måste signeras med HEADER "Authorization" (där token ska anges) eller med URL-parametern "geopardApiKey" (där användarens API-nyckel ska anges).
{% endhint %}

WMS-API-slutpunkter lagras under attributet "geoMaps" för entiteterna "Field", "FieldSatelliteImage", "VectorAnalysisMap", "RasterAnalysisMap", "TopographyMap", "SoilDataset" och "YieldDataset". Kontrollera [GeoPard DataScheme.](/geopard-tutorials/swe/api-dokumentation/geopard-api-dataschema.md)

WFS-API-slutpunkter lagras under "boundaryUrl", "zonesMapUrl" och "attributesUrl" för entiteterna "Field" och "VectorAnalysisMap".

{% hint style="info" %}
Vi rekommenderar att använda projektionen EPSG:900913 i stället för EPSG:3857 för att få mer exakta bilder.
{% endhint %}

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/swe/api-dokumentation/geo-endpoints-for-atkomst-till-spatial-data.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
